#include <iostream>

using namespace std;

int main()
{
    int n,q;
    cin>>n;
    int a[n];
    for(int i=0; i<n; i++)
    {
        cin>>a[i];
    }
    cin>>q;
    int pk[q*2];
    for(int i=0;i<q*2;i++)
    {
        cin>>pk[i];
    }
    for(int i=0; i<q; i+=2)
    {
        int brisanje=0;
        for(int j=pk[i]-1; j<pk[i+1]-2; j++)
        {
            if(a[j]>a[j+1])
            {
                brisanje++;
                if(j!=0){
                   if(a[j-1]>a[j+1])
                    brisanje++;
                }
            }
        }
        if(brisanje<=1)
            cout<<"DA";
        else
            cout<<"NE";
    }
}